Foire aux questions

Pourquoi ne puis-je pas ajouter de nouveaux matériaux? modifier les matériaux existants?

Il n'est possible d'ajouter ou de modifier des matériaux que lorsqu'il n'y a pas de projet d'ouvert.

Existe-t'il un manuel d'utilisation pour OpenFilters?

Malheureusement non. Vous pouvez consulter le guide Guide de démarrage (en anglais seulement) disponible en ligne. Vous pouvez aussi nous faire parvenir vos questions à Cette adresse e-mail est protégée contre les robots spammeurs. Vous devez activer le JavaScript pour la visualiser. .

De quoi ai-je besoin pour utiliser OpenFilters sous Windows, Mac OSX?

Le fichier d'installation contient tout ce dont vous avez besoin pour utiliser OpenFilters sous Windows ou Mac OSX.

Puis-je utiliser OpenFilters sous Linux, ... ?

OpenFilters devrait fonctionner sans problème sur tout les systèmes où Python et wxPython sont installés. Nous l'avons essayé avec succès sur plusieurs distributions de Linux. S'ils ne sont pas installés par défaut, vous devez installer Python (2.5 ≤ version < 3.0) et wxPython. Téléchargez ensuite de code source d'OpenFilters, et exécutez simplement le fichier Filters.py en utilisant Python. OpenFilters se plaindra que les libraries abeles et moremath ne sont pas installées; OpenFilters fonctionne sans elles, mais beaucoup plus lentement.

Si vous désirez utiliser les librairies abeles et moremath, vous devrez les compiler. Pour ce faire, vous devez vous assurer que les fichiers d'en-tête de Python sont installés (python-dev ou python-devel, selon les distributions). Par la suite, vous devriez pouvoir compiler les libraires simplement en exécutant "make" dans le répertoire d'OpenFilters. Si votre version de Python est différente, ou que les fichiers d'en-tête sont installés dans un répertoire non-standard, il se peut que vous deviez modifier les Makefiles.

De quoi ai-je besoin pour modifier OpenFilters?

Si vous désirez modifier le code source d'OpenFilters, vous aurez besoin de Python (2.5 ≤ version < 3.0) et de wxPython. Si vous désirez recompiler les libraries dynamiques abeles et moremath, vous devrez avoir un compilateur C++. Sous Windows, j'utilise MinGW-w64. Sous Mac OSX, j'utilise clang, qui est fourni avec Mac OSX (si vous ne l'avez pas déjà, il sera installé automatiquement la première foir que vous compilerez les librairies).

polytechnique genie gauche fr cmyk